Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"operation": "detail"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operation": "detail"
}
'import requests
url = "https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch"
payload = { "operation": "detail" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operation: 'detail'})
};
fetch('https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'operation' => 'detail'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch"
payload := strings.NewReader("{\n \"operation\": \"detail\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"operation\": \"detail\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"operation\": \"detail\"\n}"
response = http.request(request)
puts response.read_bodyLinkfox
Linkfox Sorftime Walmart Keyword Detail
Native Linkfox JSON request and response. Parameters are validated by Linkfox. Billed at the account credit cost with no plan markup.
POST
https://api.aisa.one
/
apis
/
v1
/
linkfox
/
sorftime
/
walmart
/
keywordResearch
Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"operation": "detail"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operation": "detail"
}
'import requests
url = "https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch"
payload = { "operation": "detail" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operation: 'detail'})
};
fetch('https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'operation' => 'detail'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch"
payload := strings.NewReader("{\n \"operation\": \"detail\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"operation\": \"detail\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"operation\": \"detail\"\n}"
response = http.request(request)
puts response.read_bodyRequest contract
- Method and path: POST /apis/v1/linkfox/sorftime/walmart/keywordResearch
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/linkfox/sorftime/walmart/keywordResearch
{
"operationId": "post_linkfox_apis_v1_linkfox_sorftime_walmart_key_27b740",
"method": "POST",
"path": "/apis/v1/linkfox/sorftime/walmart/keywordResearch",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"default": {
"value": {
"operation": "detail"
}
},
"minimal": {
"value": {
"operation": "detail"
}
}
},
"schema": {
"additionalProperties": true,
"properties": {
"operation": {
"enum": [
"detail",
"favoriteAdd",
"favoriteList",
"marketQuery",
"productKeywords",
"relatedKeywords",
"searchByName",
"searchProducts"
],
"type": "string"
}
},
"required": [
"operation"
],
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based pricing. Default request estimate: $0.016 USD. The final charge depends on actual usage. Your account price may differ; use a request quote where supported.Authorizations
Body
application/json
Response
Successful response. The payload schema has not been reviewed yet.